{
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
   eXtreme Class Library
   of classes to replace
   Delphi VCL. Non-visual object oriented Pascal programming
   for Windows. XCL allow creating of very small applets
   which therefore can look like usual Windows applications.

   Idea: Kladov Vladimir (C) 1999, bonanzas@online.sinor.ru
   Home: http://members.xoom.com/mr_bonanzas
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
   XCL Wizard tool by Vladimir Kladov (C) 1999
   intended to provide XCL with its own visual
   programming environment. It is including
   following parts:
   - XCL Expert, integrated into IDE and providing
                 XCL Designer with notifications about
                 IDE events and executing its requests
   - XCL Designer, interacting with XCL Expert part
                 and containing:
                 - XCL Forms Visual Editor
                 - XCL Property Inspector
                 - XCL Classes Palette
   - XCL Library (DLL), containing all XCL classes
                 compiled and defined in special format
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
   Here is XCL Library project unit (dpr). It is need not to
   be changed during process if registration of new XCL class
   (by altering the XLib.pas contents).
}
library XCLCLSD4;

{ Important note about DLL memory management: ShareMem must be the
  first unit in your library's USES clause AND your project's (select
  Project-View Source) USES clause if your DLL exports any procedures or
  functions that pass strings as parameters or function results. This
  applies to all strings passed to and from your DLL--even those that
  are nested in records and classes. ShareMem is the interface unit to
  the BORLNDMM.DLL shared memory manager, which must be deployed along
  with your DLL. To avoid using BORLNDMM.DLL, pass string information
  using PChar or ShortString parameters. }

{$INCLUDE XCLDEBUG.INC}
uses
  Windows,
  XLib;

{$E dll}

exports
  CreateForm,
  CreateFormWindow,
  CreateNonvisual,
  GetNonvisualWindow,
  SetNonVisualIcon,

  CheckDesignerVersion,
  GetXLibVersion,
  InitInterface,
  UnInstall,
  GetFormReservedNames,
  GetClassesCount,
  GetClassInfo,
  GetPropertyValue,
  SetPropertyValue,
  NewClassObject,
  GetCreatorString,
  SetFormObjectPos,
  SelectObject,
  DeselectObject;

begin
end.
